#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main()
{
    ios::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    ll n;
    string s;
    cin>>n>>s;
    if(n<26) cout<<0;
    else
    if(n==26)
    {
        bool p=true;
        for(int i=0;i<n&&p;i++)
        if(s[i]!='Á'+i) p=false;
        if(p) cout<<1;
        else cout<<0;
    }
    else
    {
       cout<<3 
    }
}